Package org.apache.maven.scm.command.blame

## Class BlameLine

- java.lang.Object
- - org.apache.maven.scm.command.blame.BlameLine

All Implemented Interfaces:
  `java.io.Serializable`

    public class BlameLine
    extends java.lang.Object
    implements java.io.Serializable

Since:
  1.4
Author:
  Evgeny Mandrikov
See Also:
  Serialized Form

### Constructor Summary

Constructors
`BlameLine​(java.util.Date date, java.lang.String revision, java.lang.String author)`
`BlameLine​(java.util.Date date, java.lang.String revision, java.lang.String author, java.lang.String committer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAuthor()`
`java.lang.String` `getCommitter()`
`java.util.Date` `getDate()`
`java.lang.String` `getRevision()`
`void` `setAuthor​(java.lang.String author)`
`void` `setCommitter​(java.lang.String committer)`
`void` `setDate​(java.util.Date date)`
`void` `setRevision​(java.lang.String revision)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlameLine

    public BlameLine​(java.util.Date date,
                     java.lang.String revision,
                     java.lang.String author)

Parameters:
  `date` - of the commit
  `revision` - of the commit
  `author` - will also be used as committer identification

#### BlameLine

    public BlameLine​(java.util.Date date,
                     java.lang.String revision,
                     java.lang.String author,
                     java.lang.String committer)

Parameters:
  `date` - of the commit
  `revision` - of the commit
  `author` - the person who wrote the line
  `committer` - the person who committed the change

### Method Detail

#### getRevision

    public java.lang.String getRevision()

#### setRevision

    public void setRevision​(java.lang.String revision)

#### getAuthor

    public java.lang.String getAuthor()

#### setAuthor

    public void setAuthor​(java.lang.String author)

#### getCommitter

    public java.lang.String getCommitter()

#### setCommitter

    public void setCommitter​(java.lang.String committer)

#### getDate

    public java.util.Date getDate()

Returns:
  the commit date

#### setDate

    public void setDate​(java.util.Date date)